Bug 443363 - Lots of sleeping gvfsd-trash processes
Lots of sleeping gvfsd-trash processes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
9
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-21 02:43 EDT by Braden McDaniel
Modified: 2015-03-03 17:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:35:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch from bugzilla.gnome.org (50 bytes, text/plain)
2009-01-30 01:33 EST, John Heidemann
no flags Details

  None (edit)
Description Braden McDaniel 2008-04-21 02:43:02 EDT
Description of problem:
I'm seeing lots of sleeping gvfsd-trash processes; more than 70 at the moment.


Version-Release number of selected component (if applicable):
0.2.3-7.fc9
Comment 1 Matthias Clasen 2008-04-22 14:21:50 EDT
What were you doing when this happened ? Is it reproducible ?

I had one other report of this, but I haven't ever seen it myself.
Comment 2 Braden McDaniel 2008-04-22 23:16:11 EDT
What was I doing? Nothing in particular that I'm aware of. As far as I can tell,
this is a "normal" state of affairs. That is, I can bring up the process viewer
right now and observe a similar number of gvfsd-trash processes. (I don't know
if I've restarted this machine since filing this bug; but I'm sure I've logged
out and back in.)

So assuming this "just happens" on my machine, is there anything in particular
you'd like me to check?
Comment 3 Bug Zapper 2008-05-14 05:49:51 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 John Heidemann 2009-01-30 01:32:24 EST
On systems where there are many automounted directories (like those in a reasonble-size enterprise), gvfs-trash is producing hundreds of running copies and clobbering the machine.  The machine nearly shuts down because you end up with hundreds of suspednded processes (on my box, load was 900!).

This bug was found and fixed in Unbutu, see 
https://bugs.launchpad.net/ubuntu/+source/gvfs/+bug/210468

They report the patch was sent upstream, see:
http://bugzilla.gnome.org/show_bug.cgi?id=525779

That patch looks different in detail but similar in intent.

Given that this problem hangs boxes:
1. can the priority be raised to high?
2. can the upstream fix be propagated down?

THanks.
Comment 5 John Heidemann 2009-01-30 01:33:16 EST
Created attachment 330438 [details]
patch from bugzilla.gnome.org
Comment 6 Bug Zapper 2009-06-09 20:19:16 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 12:35:07 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.